### Function

# Gsk ShaderArgsBuildernew

#### Declaration [src]

    GskShaderArgsBuilder*
    gsk_shader_args_builder_new (
      GskGLShader* shader,
      GBytes* initial_values
    )

#### Description [src]

Allocates a builder that can be used to construct a new uniform data chunk.

#### Parameters

`shader`

  Type: `GskGLShader`

  A `GskGLShader`

  The data is owned by the caller of the function.

`initial_values`

  Type: `GBytes`

  Optional `GBytes` with initial values.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GskShaderArgsBuilder`

The newly allocated builder, free with `gsk_shader_args_builder_unref()`

The caller of the function takes ownership of the data, and is responsible for freeing it.